<?php
/**
 * The template for displaying 404 pages (not found).
 *
 * @package Bloggo
 */

get_header(); ?>
	<div id="primary" class="content-area">
		<main id="main" class="site-main">
			<section class="error-404 not-found">
				<header class="entry-header">
					<div class="entry-header-wrap">
						<?php
						$img_404_default = get_template_directory_uri() . '/images/404.jpg';
						$img_404 = get_theme_mod( 'bloggo_404_image', $img_404_default );
						if ( $img_404 === $img_404_default ) { ?>
						<div class="post-thumbnail">
							<img src="<?php echo esc_url( $img_404_default ); ?>" alt="<?php esc_attr_e( 'Page not found', 'bloggo' ); ?>" />
						</div>
						<?php } elseif ( $img_404 !== '' ) { ?>
						<div class="post-thumbnail">
							<img src="<?php echo esc_url( $img_404 ); ?>" alt="<?php esc_attr_e( 'Page not found', 'bloggo' ); ?>" />
						</div>
						<?php } ?>
						<h1 class="entry-title"><?php esc_html_e( '404: Page not found', 'bloggo' ); ?></h1>
					</div><!-- .entry-header-wrap -->
				</header><!-- .entry-header -->
				<div class="entry-content">
					<p><?php printf( wp_kses( __( 'Apologies, but the page you requested could not be found. Visit our <a href="%s">homepage</a> or search the best match below.', 'bloggo' ), array( 'a' => array( 'href' => array() ) ) ), esc_url( home_url( '/' ) ) ); ?></p>
					<?php get_search_form(); ?>
				</div><!-- .entry-content -->
			</section><!-- .error-404 -->
		</main><!-- .site-main -->
	</div><!-- .content-area -->
<?php
get_sidebar();
get_footer();
