<?php
/**
 * The main template file.
 *
 * This is the most generic template file of a theme.
 * It is used to display a page when nothing more specific matches a query.
 *
 * @package Bloggo
 */

get_header(); ?>
	<div id="primary" class="content-area">
		<main id="main" class="site-main">
			<?php
			if ( have_posts() ) :
				// Start the loop.
				while ( have_posts() ) : the_post();
					// Include the template for the content.
					get_template_part( 'template-parts/content' );
				endwhile;
				// Posts navigation.
				bloggo_loop_navigation();
			// If no content, include the "No posts found" template.
			else :
				get_template_part( 'template-parts/content', 'none' );
			endif;
			?>
		</main><!-- .site-main -->
	</div><!-- .content-area -->
<?php
get_sidebar();
get_footer();
