<?php
/**
 * Template Name: Authors
 *
 * @package Bloggo
 */

get_header(); ?>
	<div id="primary" class="content-area">
		<main id="main" class="site-main">
			<?php
			// Start the loop.
			while ( have_posts() ) : the_post();
			?>
				<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<header class="entry-header">
						<div class="entry-header-wrap">
							<?php
							bloggo_post_thumbnail();
							the_title( '<h1 class="entry-title">', '</h1>' );
							?>
						</div><!-- .entry-header-wrap -->
						<?php edit_post_link( esc_html__( 'Edit', 'bloggo' ), '<div class="entry-meta">', '</div>' ); ?>
					</header><!-- .entry-header -->
					<div class="entry-content">
						<?php
						the_content();
						$author_ids = get_users( array(
							'fields'  => 'ID',
							'orderby' => 'post_count',
							'order'   => 'DESC',
							'who'     => 'authors',
						) );
						foreach ( $author_ids as $author_id ) :
							$post_count = count_user_posts( $author_id );
							if ( ! $post_count )
								continue;
						?>
						<div class="author-info">
							<div class="author-avatar">
								<?php echo get_avatar( $author_id, 100 ); ?>
							</div><!-- .author-avatar -->
							<div class="author-details">
								<h2 class="author-title"><a href="<?php echo esc_url( get_author_posts_url( $author_id ) ); ?>" rel="author"><?php echo esc_html( get_the_author_meta( 'display_name', $author_id ) ); ?></a></h2>
								<?php if ( get_the_author_meta( 'description', $author_id ) ) : ?>
								<p class="author-description"><?php echo wp_kses_post( get_the_author_meta( 'description', $author_id ) ); ?></p>
								<?php endif; ?>
								<?php if ( get_the_author_meta( 'url', $author_id ) ) : ?>
								<span class="author-website"><span class="fa-link" aria-hidden="true"></span> <a href="<?php echo esc_url( get_the_author_meta( 'url', $author_id ) ); ?>" target="_blank"><?php the_author_meta( 'url', $author_id ); ?></a></span>
								<?php endif; ?>
								<span class="author-stats"><span class="fa-chart-bar" aria-hidden="true"></span> <a href="<?php echo esc_url( get_author_posts_url( $author_id ) ); ?>"><?php printf( esc_html( _n( '%d post', '%d posts', $post_count, 'bloggo' ) ), number_format_i18n( $post_count ) ); ?></a></span>
							</div><!-- .author-details -->
						</div><!-- .author-info -->
						<?php endforeach; ?>
					</div><!-- .entry-content -->
				</article><!-- #post -->
			<?php endwhile; ?>
		</main><!-- .site-main -->
	</div><!-- .content-area -->
<?php
get_sidebar();
get_footer();
